ConsumeContentSourceTask (Lucene 10.5.1 benchmark API)
Description: declaration: package: org.apache.lucene.benchmark.byTask.tasks, class: ConsumeContentSourceTask

Package org.apache.lucene.benchmark.byTask.tasks

# Class ConsumeContentSourceTask

java.lang.Object
org.apache.lucene.benchmark.byTask.tasks.PerfTask
org.apache.lucene.benchmark.byTask.tasks.ConsumeContentSourceTask

All Implemented Interfaces:
  `Cloneable`

public class ConsumeContentSourceTask extends PerfTask
Consumes a `ContentSource`.

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

  `logStep, NEW_LINE, params, stopNow`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsumeContentSourceTask(PerfRunData runData)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `doLogic()`
  Perform the task once (ignoring repetitions specification) Return number of work items done by this task.
  `protected String`
  `getLogMessage(int recsCount)`

  ### Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

  `clone, close, getAlgLineNum, getBackgroundDeltaPriority, getDepth, getName, getParams, getRunData, getRunInBackground, isDisableCounting, runAndMaybeStats, setAlgLineNum, setDepth, setDisableCounting, setName, setParams, setRunInBackground, setup, shouldNeverLogAtStart, shouldNotRecordStats, stopNow, supportsParams, tearDown, toString`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ConsumeContentSourceTask

    public ConsumeContentSourceTask(PerfRunData runData)

- ## Method Details

  - ### getLogMessage

    protected String getLogMessage(int recsCount)
    Overrides:
      `getLogMessage` in class `PerfTask`

  - ### doLogic

    public int doLogic() throws Exception
    Description copied from class: `PerfTask`
    Perform the task once (ignoring repetitions specification) Return number of work items done by this task. For indexing that can be number of docs added. For warming that can be number of scanned items, etc.
    Specified by:
      `doLogic` in class `PerfTask`
    Returns:
      number of work items done by this task.
    Throws:
      `Exception`